API version numbering policyAll Suki REST APIs are currently in
v1 version.Release versionThe release version in this changelog page represents the incremental progress. It is not the API version. It tracks new optional fields, performance improvements, new endpoints, and other changes.No changelog entries match.
Try a different search term, or widen the filters.
New endpoints
- Embedded Forms: You can now send the fill-in-the-blank fields from your note templates with an ambient session and read the filled values back as key/value pairs after the note is ready. Read them for the session you just recorded, or for the latest completed session on the encounter.
-
Structured data field types: You can now get the field types supported in Embedded Form templates (
text,radio,multi_select, anddate). -
Content rewrite: You can now rewrite a selected span of clinical text after finishing a Dictation session (or any plain text your application owns). Send
selected_text, surrounding context, selection offsets, and one instruction (CONCISE,VERBOSE, orPATIENT_FRIENDLY). The response returns the rewritten text, selection offsets for write-back, and arequest_idfor support.- POST /api/v1/content/rewrite.
Enhancements
-
Session context: Each item in
sectionsnow accepts an optionalprecharted_contentlist. Sendtype: "string"entries with prior section text, andtype: "structured"entries with Embedded Form templates. -
Session and encounter structured data: Responses now include
structured_data.section_structured_valueswith filled Embedded Form values. Note structured data does not include them. -
System information and webhooks: System information now returns
structured_data_field_types, and the SUCCESS webhook includes_links.section_structured_dataand_links.encounter_section_structured_data.- GET /api/v1/info.
New endpoints
-
Note-level ambient endpoints: You can now retrieve accumulated content, context, and structured data for a note across ambient sessions while using the interoperability feature. Use
note_idfrom Create ambient session. - List encounter notes: You can now list all notes linked to an EMR encounter for cross-modality ambient workflows.
-
Get encounter info: You can now get an overview of the shared notes for an EMR encounter. The response includes each note’s status and timestamps, the ambient sessions under that note, and which artifacts are available (
"content","transcript", or"recording").
Enhancements
-
Create ambient session: You can now pass
emr_encounter_idto enable cross-modality ambient interoperability. The response now includesnote_id, which you use with the note-level ambient endpoints. Themultilingualparameter is deprecated. Multilingual support is enabled by default for all ambient sessions.
Enhancements
- HCC codes: You now get HCC codes in the Structured data API and Encounter structured data API output for an ambient session and encounter.
- Use HCC codes in the structured data output to validate the diagnosis codes in the EMR context.
JSON
If an ICD-10-CM HCC diagnosis code does not map to an HCC model category, Suki looks for general HCC codes that match the diagnosis description. If no match is found, the diagnosis is returned without an HCC code.
Enhancements
- Suki now supports Single Auth Token authentication: your backend can use one shared
partner_tokenfor all clinicians instead of a per-user token. The shared token proves your organization is authorized, but it does not identify who is signed in. If you use this model, you must sendsdp_provider_idon every API call so Suki can route each call to the correct clinician.
JSON
New endpoints
- Info endpoints: Added new endpoints to get the list of supported medication coding systems, dosage units, encounter relations, frequencies, medication timings, origins, and statuses.
Enhancements
-
Medication orders: You can now send and retrieve medication orders for an ambient session and encounter using the following endpoints.
Structured data endpoints: These endpoints return the structured data for an ambient session and encounter.
- GET /api/v1/ambient/session//structured-data.
- GET /api/v1/ambient/session//encounter-structured-data.
JSON
When you send medication orders to the context API, the medication orders are validated against the EMR context. If the medication orders are not valid, the context API will return an error.Learn more in the Medication orders documentation.
New endpoints
- Audio streaming and download: We’ve added a new endpoint for audio streaming and download from ambient sessions. Stream or download the audio recording from an ambient session.
New endpoints
- Audio Dictation API: Added support for real-time audio transcription. Create transcription sessions, stream transcription data, and end sessions to get final transcripts. This enables use cases like Dictation, real-time captioning, and transcript generation.
New endpoints
- Info endpoints: Introduced three new info endpoints to provide supported enum values, helping you validate context data before submission and ensuring data consistency.
- API reference guidelines: Added a new API reference guidelines page to help you understand API status tags, versioning, and documentation standards.
Enhancements
- Enhanced API documentation: Significantly restructured and enhanced API reference documentation for better developer experience, clearer organization, and improved discoverability.
- Problem-based charting guide: Completely rewritten the Problem-Based Charting (PBC) guide with a clearer structure and more detailed explanations of the processing pipeline.
- Audio streaming authentication: Added detailed authentication guidance for both browser and non-browser clients in the Audio streaming API reference documentation.
-
Enhanced context support: Updated the Ambient session context APIs to support a new
VisitContextschema, including fields likechief_complaintandvisit_type. The provider context has also been enhanced to supportprovider_role.
Removed support
- SNOMED codes: SNOMED codes are no longer supported for the diagnosis context.
- Paused state: Paused state is no longer supported for ambient sessions.